> ## Documentation Index
> Fetch the complete documentation index at: https://docs.colloqui.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Show Agent

> Displays the specified agent.



## OpenAPI

````yaml GET /api/v1/agents/{id}
openapi: 3.0.3
info:
  title: Colloqui API Documentation
  description: API documentation for Colloqui application
  version: 1.0.0
servers:
  - url: https://colloqui-web-develop-btoadh.laravel.cloud
security:
  - default: []
tags:
  - name: Authentication
    description: |-

      APIs for retrieving a token and invalidating the current token.
  - name: API Keys
    description: |-

      APIs for managing API keys.
  - name: Agent
    description: |-

      APIs for agents
  - name: Agent Versions
    description: |-

      APIs for retrieving version history of an agent.
  - name: Call History
    description: |-

      APIs for managing call histories.
  - name: Knowledge Base
    description: |-

      APIs for knowledge base management.
  - name: Number
    description: |-

      APIs for managing numbers.
  - name: Subscription
    description: |-

      APIs to subscribe an agent to a subscription.
  - name: User
    description: |-

      APIs for managing users.
  - name: Webhook
    description: |-

      APIs for managing webhooks.
  - name: Workspace
    description: |-

      APIs for managing workspaces.
  - name: Workspace User
    description: |-

      APIs for managing users within workspaces.
paths:
  /api/v1/agents/{id}:
    parameters:
      - in: path
        name: id
        description: The ID of the agent.
        example: 01kntjsyhqzfyhwjrx6496frrh
        required: true
        schema:
          type: string
    get:
      tags:
        - Agent
      summary: Show Agent
      description: Displays the specified agent.
      operationId: showAgent
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    version: null
                    numbers: []
                    id: 01kqh44ea2emxzs5wad9fd743n
                    name: My Agent
                    status: draft
                    tts_config:
                      voice_id: echo
                      streaming_latency: 0
                      emotion: null
                      speed_alpha: 0.61
                      provider: rime
                      model: v1
                      ambient_sound_volume: 1
                      responsiveness: 1
                      interruption_sensitivity: 1
                      enable_backchannel: true
                      backchannel_frequency: 0.8
                      reminder_trigger_ms: 10000
                    workspace_id: 01kqh44e9kb11xqnnnaj4gqr0y
                    created_at: '2026-05-01T06:38:04+00:00'
                    updated_at: '2026-05-01T06:38:04+00:00'
                    published_at: null
                properties:
                  data:
                    type: object
                    properties:
                      version:
                        type: string
                        example: null
                        nullable: true
                      numbers:
                        type: array
                        example: []
                      id:
                        type: string
                        example: 01kqh44ea2emxzs5wad9fd743n
                      name:
                        type: string
                        example: My Agent
                      status:
                        type: string
                        example: draft
                      tts_config:
                        type: object
                        properties:
                          voice_id:
                            type: string
                            example: echo
                          streaming_latency:
                            type: integer
                            example: 0
                          emotion:
                            type: string
                            example: null
                            nullable: true
                          speed_alpha:
                            type: number
                            example: 0.61
                          provider:
                            type: string
                            example: rime
                          model:
                            type: string
                            example: v1
                          ambient_sound_volume:
                            type: integer
                            example: 1
                          responsiveness:
                            type: integer
                            example: 1
                          interruption_sensitivity:
                            type: integer
                            example: 1
                          enable_backchannel:
                            type: boolean
                            example: true
                          backchannel_frequency:
                            type: number
                            example: 0.8
                          reminder_trigger_ms:
                            type: integer
                            example: 10000
                      workspace_id:
                        type: string
                        example: 01kqh44e9kb11xqnnnaj4gqr0y
                      created_at:
                        type: string
                        example: '2026-05-01T06:38:04+00:00'
                      updated_at:
                        type: string
                        example: '2026-05-01T06:38:04+00:00'
                      published_at:
                        type: string
                        example: null
                        nullable: true
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Bearer token authentication

````